%global realname mustache
%global debug_package %{nil}
%global commit 5ac1f216f7db5c16f441235b9008050d7c2ffd55

Name:		erlang-%{realname}
Version:	0.1.1
Release:	1%{?dist}
Summary:	Mustache template engine for Erlang
Group:		Development/Languages
License:	MIT
URL:		http://github.com/mojombo/mustache.erl
Source0:	https://github.com/mojombo/mustache.erl/archive/%{commit}/%{realname}.erl-%{commit}.tar.gz
Patch0:		mustache-0001-Remove-meck-from-deps.patch
BuildRequires:	erlang-erts
BuildRequires:	erlang-rebar
BuildRequires:	erlang-meck
BuildRequires:	erlang-rpm-macros >= 0.1.4
Requires:	erlang-erts >= R12B-5
Requires:	erlang-kernel >= R12B-5
Requires:	erlang-stdlib >= R12B-5

%description
An Erlang port of Mustache for Ruby. Mustache is a framework-agnostic template
system that enforces separation of view logic from the template file. Indeed, it
is not even possible to embed logic in the template. This allows templates to be
reused across language boundaries and for other language independent uses.


%prep
%setup -qn %{realname}.erl-%{commit}
%patch0 -p1 -b .meck

%build
%rebar_compile


%install
install -d %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -pm 644 ebin/* %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc examples/ README.md
%license LICENSE
%{_libdir}/erlang/lib/%{realname}-%{version}


%changelog
* Fri Jul 03 2015 Filip Andres <filip@andresovi.net> - 0.1.1-1
- Update to 0.1.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1.0-2
- Ensure consistency in macro usage

* Fri Oct  1 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1.0-1
- Initial build
